Subject: bug#6509: It's not obvious that landing page is an ordered, paginated list.

From: Karl Fogel <[email-masked]>
Date: Thu, 24 Jun 2010 22:59:30 -0400

Package: debbugs.gnu.org

One can't tell that the default Emacs bugs landing page is an ordered,
paginated list.

To reproduce: go to "Emacs reports" from http://debbugs.gnu.org/, and
land on this page:

http://debbugs.gnu.org/cgi/pkgreport.cgi?package=emacs;max-bugs=100;base-order=1;bug-rev=1

Although that page says at the top that it is

  "Showing results 0 - 100 of 2006."

...there is no indication that the listing is ordered starting from most
recent.  The individual bug lines do not show their filed dates or
latest-activity dates, so to the user they have no anchor in time.  I
did not realize when I went to that page that it was showing me the most
recently filed bugs.

(If you scroll down to the bottom where the search area is, and see that
the the "Reverse Bugs" checkbox is checked, you might guess that it's a
reverse chronological sort, I suppose.)